Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::directional_light_node Class Reference

Inheritance diagram for openvrml::vrml97_node::directional_light_node:

[legend]
List of all members.

## Detailed Description

DirectionalLight node instances.

## Public Member Functions

| directional_light_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~directional_light_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfvec3f > | direction_
| direction exposedField.

## Friends

class | directional_light_class
| Class object for DirectionalLight nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::directional_light_node::directional_light_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::directional_light_node::~directional_light_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::directional_light_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

This should be called before rendering any sibling nodes.

Parameters:

  | viewer | a viewer.
  | context | a rendering context.

Reimplemented from openvrml::child_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::directional_light_node::directional_light_class`[friend]`

| Class object for DirectionalLight nodes.

## Member Data Documentation

exposedfield< sfvec3f > openvrml::vrml97_node::directional_light_node::direction_ `[private]`

| direction exposedField.